Bug 67660 - NeXTStep disk mount via UFS fails (only) in 2.4.18-5
NeXTStep disk mount via UFS fails (only) in 2.4.18-5
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-28 13:51 EDT by Need Real Name
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-06-28 13:51:40 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.2.16-3 i686)

Description of problem:
mount -v -t ufs -o ufstype=nextstep -o ro /dev/sdb /mnt/NeXTHome
worked fine in 2.4.18-3, fails in 2.4.18-5 with message:

mount: wrong fs type, bad option, bad superblock on /dev/sdb,
       or too many mounted file systems

(This disk has 1024 bytes/sector, I'm pretty sure, if it matters.)
I suspect this bug is related to Bug Number 67466.


Version-Release number of selected component (if applicable): 2.4.18-5


How reproducible:
Always

Steps to Reproduce:
1. Need a NeXTStep disk partition to be present
2. mount -v -t ufs -o ufstype=nextstep -o ro /dev/sdb /mnt/NeXTHome

	

Actual Results:  Error message:
mount: wrong fs type, bad option, bad superblock on /dev/sdb,
       or too many mounted file systems

Expected Results:  Message: /dev/sdb on /mnt/NeXTHome type ufs
(ro,ufstype=nextstep),
followed by successful mount.

(Above generated with -f flag to mount, FYI.)


Additional info:

Disk had 1024 bytes/sector, I think.
Comment 1 Bugzilla owner 2004-09-30 11:39:43 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.